---
---

# publish

```bash
sudo -i
systemctl stop barcode-host.service
rm -r /var/www/Barcode-Host/Server
mkdir /var/www
mkdir /var/www/Barcode-Host
mkdir /var/www/Barcode-Host/Server
cd /home/unity4/Barcode-Host/Server
dotnet user-secrets init
dotnet user-secrets set "SerialPortName" ""
dotnet user-secrets set "RootPassword" "asdf"
dotnet user-secrets set "EquipmentName" "BIORAD4"
dotnet user-secrets set "FileShare" "\\\mestsa003.infineon.com\\EC_Metrology_Si\\BarcodeHost\\API"
dotnet user-secrets list
dotnet publish --configuration Release --output /var/www/Barcode-Host/Server
cd /var/www/Barcode-Host/Server
dotnet /var/www/Barcode-Host/Server/Barcode.Host.Server.dll
systemctl start barcode-host.service
```
```bash
nano /etc/fstab
10.95.176.46:EC_Metrology_Si /var/locally-mounted/eaf-dev.mes.infineon.com  nfs   defaults   0  0
mount /var/locally-mounted/eaf-dev.mes.infineon.com  nfs   defaults   0  0
mkdir /mnt/share
mkdir /mnt/share/nmshare
mkdir /mnt/share/nmshare/eaf-dev.mes.infineon.com
apt install cifs-utils
mount.cifs //10.95.128.34/EC_Metrology_Si /mnt/share/nmshare/eaf-dev.mes.infineon.com
mount -t cifs -o rw,guest,vers=1.0 //10.95.128.34/EC_Metrology_Si /mnt/share/nmshare/eaf-dev.mes.infineon.com
smbclient --list=10.95.128.34 --no-pass
apt install smbclient
ecmesEAF-10.95.128.34-mestsa07ec(A-Both)
```
```conf
2023-06-03 16:02:25.011 -07:00 [Information] (Barcode.Host.Server.Program.) () () Starting Web Application
2023-06-03 16:02:25.062 -07:00 [Information] (Microsoft.AspNetCore.DataProtection.KeyManagement.XmlKeyManager.) () () User profile is available. Using '"/root/.aspnet/DataProtection-Keys"' as key repository; keys will not be encrypted at rest.
2023-06-03 16:02:25.093 -07:00 [Information] (Barcode.Host.Server.HostedService.TimedHostedService.StartAsync) () () Timed Hosted Service: 1234567:3070 running.
2023-06-03 16:02:25.175 -07:00 [Information] (Microsoft.Hosting.Lifetime.) () () Now listening on: "http://localhost:5003"
2023-06-03 16:02:25.175 -07:00 [Information] (Microsoft.Hosting.Lifetime.) () () Application started. Press Ctrl+C to shut down.
2023-06-03 16:02:25.176 -07:00 [Information] (Microsoft.Hosting.Lifetime.) () () Hosting environment: "Production"
2023-06-03 16:02:25.176 -07:00 [Information] (Microsoft.Hosting.Lifetime.) () () Content root path: "/var/www/Barcode-Host/Server"
```
```bash
links http://localhost:5003/api/lastScan
```

## Sub-tasks

- [ ] phares3757
- [x] unity4
- [x] unity5
