"use strict";

var connection = new signalR.HubConnectionBuilder().withUrl("/NotificationHub").build();

connection.on("NotifyAll", function (data) {
    var message = `${data.keyPressEvent.dateTime} - [${data.lastScanServiceResultValue}]`;
    document.getElementById("data").innerText = message;
});

connection.start().then(function () {
}).catch(function (err) {
    return console.error(err.toString());
});