---
---

# netplan

```bash
ip link
```
```echo
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eno1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP mode DEFAULT group default qlen 10
    link/ether 6c:0b:84:e3:94:11 brd ff:ff:ff:ff:ff:ff
    altname enp0s31f6
```
```bash
https://ubuntu.com/server/docs/network-configuration
ip a
ip address show eno1
echo >/etc/netplan/99_config.yaml && nano /etc/netplan/99_config.yaml
```
```bash
network:
  version: 2
  renderer: networkd
  ethernets:
    eno1:
      addresses:
        - 192.168.0.204/24
      routes:
        - to: default
          via: 192.168.0.1
      nameservers:
          addresses: [192.168.0.1, 8.8.8.8, 4.4.4.4]
```
```bash
network:
  version: 2
  renderer: networkd
  ethernets:
    eno1:
      addresses:
        - 192.168.0.12/24
      routes:
        - to: default
          via: 192.168.0.1
      nameservers:
          addresses: [192.168.0.1, 8.8.8.8, 4.4.4.4]
```
```bash
netplan apply
ip addr flush eno1
# soft reset
```
```bash
network:
  version: 2
  renderer: networkd
  ethernets:
    eno1:
      addresses:
        - 10.95.154.54/24
      routes:
        - to: default
          via: 10.95.154.1
      nameservers:
          addresses: [10.95.128.11, 10.64.152.171, 8.8.8.8, 4.4.4.4]
```
```bash
network:
  version: 2
  renderer: networkd
  ethernets:
    eno1:
      addresses:
        - 10.95.154.18/24
      routes:
        - to: default
          via: 10.95.154.1
      nameservers:
          addresses: [10.95.128.11, 10.64.152.171, 8.8.8.8, 4.4.4.4]
```

## Sub-tasks

- [ ] phares3757
- [x] unity4
- [x] unity5
