using Barcode.Host.Shared.Models;
using Microsoft.AspNetCore.SignalR;

namespace Barcode.Host.Server.Hubs;

public class NotificationHub : Hub
{

    public async Task NotifyAll(Notification notification) =>
        await Clients.All.SendAsync(nameof(NotifyAll), notification);

}