namespace Barcode.Host.Shared.KeyboardMouse;

public readonly struct KeyPressEvent
{
    public DateTime DateTime { get; init; }
    public EventCode EventCode { get; init; }
    public KeyState KeyState { get; init; }
    public TimeSpan TimeSpan { get; init; }

    public KeyPressEvent(DateTime dateTime, EventCode eventCode, KeyState keyState, TimeSpan timeSpan)
    {
        DateTime = dateTime;
        EventCode = eventCode;
        KeyState = keyState;
        TimeSpan = timeSpan;
    }

}