namespace Barcode.Host.Shared.Models.Stateless;

public interface IAppSettingsController<T>
{

    enum Action : int
    {
        App = 0,
        DevOps = 1
    }

    static string GetRouteName() => nameof(IAppSettingsController<T>)[1..^10];
    T GetAppSettings();

}