using Barcode.Host.Shared.DataModels;
using Barcode.Host.Shared.KeyboardMouse;

namespace Barcode.Host.Shared.Models.Stateless;

public interface ILastScanService
{

    void Clear();
    int GetCount();
    Result<string> GetScan();
    void Add(EventCode eventCode, char @char);
    List<(EventCode, char)> IncludeEventCodes();

}